diff -urN 1/rootfs/etc/init/control-alt-delete.conf brainsum1/rootfs/etc/init/control-alt-delete.conf
--- 1/rootfs/etc/init/control-alt-delete.conf	2009-10-15 21:19:27.000000000 +0200
+++ brainsum1/rootfs/etc/init/control-alt-delete.conf	1970-01-01 01:00:00.000000000 +0100
@@ -1,12 +0,0 @@
-# control-alt-delete - emergency keypress handling
-#
-# This task is run whenever the Control-Alt-Delete key combination is
-# pressed, and performs a safe reboot of the machine.
-
-description	"emergency keypress handling"
-author		"Scott James Remnant <scott@netsplit.com>"
-
-start on control-alt-delete
-
-task
-exec shutdown -r now "Control-Alt-Delete pressed"
diff -urN 1/rootfs/etc/init/control-alt-delete.conf.distrib brainsum1/rootfs/etc/init/control-alt-delete.conf.distrib
--- 1/rootfs/etc/init/control-alt-delete.conf.distrib	1970-01-01 01:00:00.000000000 +0100
+++ brainsum1/rootfs/etc/init/control-alt-delete.conf.distrib	2009-10-15 21:19:27.000000000 +0200
@@ -0,0 +1,12 @@
+# control-alt-delete - emergency keypress handling
+#
+# This task is run whenever the Control-Alt-Delete key combination is
+# pressed, and performs a safe reboot of the machine.
+
+description	"emergency keypress handling"
+author		"Scott James Remnant <scott@netsplit.com>"
+
+start on control-alt-delete
+
+task
+exec shutdown -r now "Control-Alt-Delete pressed"
diff -urN 1/rootfs/etc/init/hwclock.conf brainsum1/rootfs/etc/init/hwclock.conf
--- 1/rootfs/etc/init/hwclock.conf	2009-10-23 06:26:12.000000000 +0200
+++ brainsum1/rootfs/etc/init/hwclock.conf	1970-01-01 01:00:00.000000000 +0100
@@ -1,19 +0,0 @@
-# hwclock - adjust system clock and timezone
-#
-# The hwclock task adjusts the system clock when the hardware clock is
-# set to localtime (e.g. when dual-booting with Windows), and also
-# ensures that the system timezone is set so that timestamps are written
-# to FAT devices.
-
-description	"adjust system clock and timezone"
-
-start on starting mountall
-
-task
-
-script
-    . /etc/default/rcS
-    [ "$UTC" = "yes" ] && tz="--utc" || tz="--localtime"
-    [ "$BADYEAR" = "yes" ] && badyear="--badyear"
-    exec hwclock --systz $tz --noadjfile $badyear
-end script
diff -urN 1/rootfs/etc/init/hwclock.conf.distrib brainsum1/rootfs/etc/init/hwclock.conf.distrib
--- 1/rootfs/etc/init/hwclock.conf.distrib	1970-01-01 01:00:00.000000000 +0100
+++ brainsum1/rootfs/etc/init/hwclock.conf.distrib	2009-10-23 06:26:12.000000000 +0200
@@ -0,0 +1,19 @@
+# hwclock - adjust system clock and timezone
+#
+# The hwclock task adjusts the system clock when the hardware clock is
+# set to localtime (e.g. when dual-booting with Windows), and also
+# ensures that the system timezone is set so that timestamps are written
+# to FAT devices.
+
+description	"adjust system clock and timezone"
+
+start on starting mountall
+
+task
+
+script
+    . /etc/default/rcS
+    [ "$UTC" = "yes" ] && tz="--utc" || tz="--localtime"
+    [ "$BADYEAR" = "yes" ] && badyear="--badyear"
+    exec hwclock --systz $tz --noadjfile $badyear
+end script
diff -urN 1/rootfs/etc/init/hwclock-save.conf brainsum1/rootfs/etc/init/hwclock-save.conf
--- 1/rootfs/etc/init/hwclock-save.conf	2009-10-23 06:26:12.000000000 +0200
+++ brainsum1/rootfs/etc/init/hwclock-save.conf	1970-01-01 01:00:00.000000000 +0100
@@ -1,17 +0,0 @@
-# hwclock-save - save system clock to hardware clock
-#
-# This task saves the time from the system clock back to the hardware
-# clock on shutdown.
-
-description	"save system clock to hardware clock"
-
-start on runlevel [06]
-
-task
-
-script
-    . /etc/default/rcS
-    [ "$UTC" = "yes" ] && tz="--utc" || tz="--localtime"
-    [ "$BADYEAR" = "yes" ] && badyear="--badyear"
-    exec hwclock --rtc=/dev/rtc0 --systohc $tz --noadjfile $badyear
-end script
diff -urN 1/rootfs/etc/init/hwclock-save.conf.distrib brainsum1/rootfs/etc/init/hwclock-save.conf.distrib
--- 1/rootfs/etc/init/hwclock-save.conf.distrib	1970-01-01 01:00:00.000000000 +0100
+++ brainsum1/rootfs/etc/init/hwclock-save.conf.distrib	2009-10-23 06:26:12.000000000 +0200
@@ -0,0 +1,17 @@
+# hwclock-save - save system clock to hardware clock
+#
+# This task saves the time from the system clock back to the hardware
+# clock on shutdown.
+
+description	"save system clock to hardware clock"
+
+start on runlevel [06]
+
+task
+
+script
+    . /etc/default/rcS
+    [ "$UTC" = "yes" ] && tz="--utc" || tz="--localtime"
+    [ "$BADYEAR" = "yes" ] && badyear="--badyear"
+    exec hwclock --rtc=/dev/rtc0 --systohc $tz --noadjfile $badyear
+end script
diff -urN 1/rootfs/etc/init/lxc.conf brainsum1/rootfs/etc/init/lxc.conf
--- 1/rootfs/etc/init/lxc.conf	1970-01-01 01:00:00.000000000 +0100
+++ brainsum1/rootfs/etc/init/lxc.conf	2010-10-24 18:30:17.000000000 +0200
@@ -0,0 +1,17 @@
+#lxc-provider
+# provide some workaround to make upstart to work with lxc
+# Guillaume ZITTA
+
+start on startup
+
+task
+
+script
+        >/etc/mtab
+        initctl emit virtual-filesystems
+        initctl emit local-filesystems
+        initctl emit remote-filesystems
+        initctl emit filesystem
+
+end script
+
diff -urN 1/rootfs/etc/init/mountall.conf brainsum1/rootfs/etc/init/mountall.conf
--- 1/rootfs/etc/init/mountall.conf	2009-10-26 12:00:41.000000000 +0100
+++ brainsum1/rootfs/etc/init/mountall.conf	2010-10-24 18:37:46.000000000 +0200
@@ -6,9 +6,7 @@
 description	"Mount filesystems on boot"
 
 start on startup
-stop on rcS
 
-expect daemon
 task
 
 emits virtual-filesystems
@@ -18,18 +16,19 @@
 emits all-filesystems
 emits filesystem
 
-# temporary, until we have progress indication
-# and output capture (next week :p)
-console output
-
-script
-    . /etc/default/rcS
-    [ -f /forcefsck ] && force_fsck="--force-fsck"
-    [ "$FSCKFIX" = "yes" ] && fsck_fix="--fsck-fix"
-    [ -n "$TMPTIME" ] && tmptime="--tmptime=$TMPTIME"
-    exec mountall --daemon $force_fsck $fsck_fix $tmptime
+pre-start script
+    find /var/run -mindepth 1 -maxdepth 1 | grep -v utmp | xargs rm -rf
+    mkdir -p /var/run/network
+    find /var/lock -mindepth 1 -maxdepth 1 | xargs rm -rf
 end script
 
-post-stop script
-    rm -f /forcefsck 2>dev/null || true
+post-start script
+    initctl emit -n filesystem
+    initctl emit -n all-swaps
+    initctl emit -n all-filesystems
+    initctl emit -n virtual-filesystems
+    initctl emit -n remote-filesystems
+    initctl emit -n local-filesystems
+    mount -a
 end script
+
diff -urN 1/rootfs/etc/init/mountall.conf.distrib brainsum1/rootfs/etc/init/mountall.conf.distrib
--- 1/rootfs/etc/init/mountall.conf.distrib	1970-01-01 01:00:00.000000000 +0100
+++ brainsum1/rootfs/etc/init/mountall.conf.distrib	2009-10-26 12:00:41.000000000 +0100
@@ -0,0 +1,35 @@
+# mountall - Mount filesystems on boot
+#
+# This helper mounts filesystems in the correct order as the devices
+# and mountpoints become available.
+
+description	"Mount filesystems on boot"
+
+start on startup
+stop on rcS
+
+expect daemon
+task
+
+emits virtual-filesystems
+emits local-filesystems
+emits remote-filesystems
+emits all-swaps
+emits all-filesystems
+emits filesystem
+
+# temporary, until we have progress indication
+# and output capture (next week :p)
+console output
+
+script
+    . /etc/default/rcS
+    [ -f /forcefsck ] && force_fsck="--force-fsck"
+    [ "$FSCKFIX" = "yes" ] && fsck_fix="--fsck-fix"
+    [ -n "$TMPTIME" ] && tmptime="--tmptime=$TMPTIME"
+    exec mountall --daemon $force_fsck $fsck_fix $tmptime
+end script
+
+post-stop script
+    rm -f /forcefsck 2>dev/null || true
+end script
diff -urN 1/rootfs/etc/init/mountall-net.conf brainsum1/rootfs/etc/init/mountall-net.conf
--- 1/rootfs/etc/init/mountall-net.conf	2009-10-26 12:00:41.000000000 +0100
+++ brainsum1/rootfs/etc/init/mountall-net.conf	1970-01-01 01:00:00.000000000 +0100
@@ -1,15 +0,0 @@
-# mountall-net - Mount network filesystems
-#
-# Send mountall the USR1 signal to inform it to try network filesystems
-# again.
-
-description	"Mount network filesystems"
-
-start on net-device-up
-
-task
-
-script
-    PID=$(status mountall 2>/dev/null | sed -e '/,/{s/.*,[^0-9]*//;q};d')
-    [ -n "$PID" ] && kill -USR1 $PID || true
-end script
diff -urN 1/rootfs/etc/init/mountall-net.conf.distrib brainsum1/rootfs/etc/init/mountall-net.conf.distrib
--- 1/rootfs/etc/init/mountall-net.conf.distrib	1970-01-01 01:00:00.000000000 +0100
+++ brainsum1/rootfs/etc/init/mountall-net.conf.distrib	2009-10-26 12:00:41.000000000 +0100
@@ -0,0 +1,15 @@
+# mountall-net - Mount network filesystems
+#
+# Send mountall the USR1 signal to inform it to try network filesystems
+# again.
+
+description	"Mount network filesystems"
+
+start on net-device-up
+
+task
+
+script
+    PID=$(status mountall 2>/dev/null | sed -e '/,/{s/.*,[^0-9]*//;q};d')
+    [ -n "$PID" ] && kill -USR1 $PID || true
+end script
diff -urN 1/rootfs/etc/init/mountall-reboot.conf brainsum1/rootfs/etc/init/mountall-reboot.conf
--- 1/rootfs/etc/init/mountall-reboot.conf	2009-10-26 12:00:41.000000000 +0100
+++ brainsum1/rootfs/etc/init/mountall-reboot.conf	1970-01-01 01:00:00.000000000 +0100
@@ -1,11 +0,0 @@
-# mountall-reboot - Reboot after filesystems are changed
-#
-# If mountall exits to indicate a reboot is required, this does the
-# necessary reboot.
-
-description	"Reboot after filesystems are changed"
-
-start on stopped mountall EXIT_STATUS=5
-
-task
-exec reboot -f
diff -urN 1/rootfs/etc/init/mountall-reboot.conf.distrib brainsum1/rootfs/etc/init/mountall-reboot.conf.distrib
--- 1/rootfs/etc/init/mountall-reboot.conf.distrib	1970-01-01 01:00:00.000000000 +0100
+++ brainsum1/rootfs/etc/init/mountall-reboot.conf.distrib	2009-10-26 12:00:41.000000000 +0100
@@ -0,0 +1,11 @@
+# mountall-reboot - Reboot after filesystems are changed
+#
+# If mountall exits to indicate a reboot is required, this does the
+# necessary reboot.
+
+description	"Reboot after filesystems are changed"
+
+start on stopped mountall EXIT_STATUS=5
+
+task
+exec reboot -f
diff -urN 1/rootfs/etc/init/mountall-shell.conf brainsum1/rootfs/etc/init/mountall-shell.conf
--- 1/rootfs/etc/init/mountall-shell.conf	2009-10-26 12:00:41.000000000 +0100
+++ brainsum1/rootfs/etc/init/mountall-shell.conf	1970-01-01 01:00:00.000000000 +0100
@@ -1,55 +0,0 @@
-# mountall-shell - Recovery shell for filesystem failure
-#
-# If mountall exits to indicate that manual recovery is required, this
-# starts the necessary shell.
-
-description	"Recovery shell for filesystem failure"
-
-start on stopped mountall EXIT_STATUS=[!5]
-stop on runlevel [06]
-
-task
-console owner
-
-script
-    case "$EXIT_STATUS" in
-    1)
-	echo "General error mounting filesystems."
-	;;
-    2)
-	echo "Filesystem check failed."
-	;;
-    3)
-	echo "Mount of filesystem failed."
-	;;
-    4)
-	echo "Mount of root filesystem failed."
-	;;
-    *)
-	echo "Unknown error checking or mounting filesystems."
-	;;
-    esac
-
-    echo "A maintenance shell will now be started."
-    if [ "$EXIT_STATUS" = "4" ]
-    then
-	echo "CONTROL-D will terminate this shell and reboot the system."
-    else
-	echo "CONTROL-D will terminate this shell and re-try."
-    fi
-
-    /sbin/sulogin
-end script
-
-post-stop script
-    if [ -z "$UPSTART_STOP_EVENTS" ]
-    then
-	if [ "$EXIT_STATUS" = "4" ]
-	then
-	    umount -a || :
-	    exec reboot -f
-	else
-	    exec start --no-wait mountall
-	fi
-    fi
-end script
diff -urN 1/rootfs/etc/init/mountall-shell.conf.distrib brainsum1/rootfs/etc/init/mountall-shell.conf.distrib
--- 1/rootfs/etc/init/mountall-shell.conf.distrib	1970-01-01 01:00:00.000000000 +0100
+++ brainsum1/rootfs/etc/init/mountall-shell.conf.distrib	2009-10-26 12:00:41.000000000 +0100
@@ -0,0 +1,55 @@
+# mountall-shell - Recovery shell for filesystem failure
+#
+# If mountall exits to indicate that manual recovery is required, this
+# starts the necessary shell.
+
+description	"Recovery shell for filesystem failure"
+
+start on stopped mountall EXIT_STATUS=[!5]
+stop on runlevel [06]
+
+task
+console owner
+
+script
+    case "$EXIT_STATUS" in
+    1)
+	echo "General error mounting filesystems."
+	;;
+    2)
+	echo "Filesystem check failed."
+	;;
+    3)
+	echo "Mount of filesystem failed."
+	;;
+    4)
+	echo "Mount of root filesystem failed."
+	;;
+    *)
+	echo "Unknown error checking or mounting filesystems."
+	;;
+    esac
+
+    echo "A maintenance shell will now be started."
+    if [ "$EXIT_STATUS" = "4" ]
+    then
+	echo "CONTROL-D will terminate this shell and reboot the system."
+    else
+	echo "CONTROL-D will terminate this shell and re-try."
+    fi
+
+    /sbin/sulogin
+end script
+
+post-stop script
+    if [ -z "$UPSTART_STOP_EVENTS" ]
+    then
+	if [ "$EXIT_STATUS" = "4" ]
+	then
+	    umount -a || :
+	    exec reboot -f
+	else
+	    exec start --no-wait mountall
+	fi
+    fi
+end script
diff -urN 1/rootfs/etc/init/networking.conf brainsum1/rootfs/etc/init/networking.conf
--- 1/rootfs/etc/init/networking.conf	1970-01-01 01:00:00.000000000 +0100
+++ brainsum1/rootfs/etc/init/networking.conf	2010-10-24 18:38:19.000000000 +0200
@@ -0,0 +1,18 @@
+#lxc-provider
+# networking - configure virtual network devices
+#
+# This task causes virtual network devices that do not have an associated
+# kernel object to be started on boot.
+# Modified by lxc-provider
+description     "configure virtual network devices"
+
+start on local-filesystems
+
+#task
+
+#script
+exec mkdir -p /var/run/network || true
+exec ifdown -a
+exec ifup -a
+#nd script
+
diff -urN 1/rootfs/etc/init/networking.conf.distrib brainsum1/rootfs/etc/init/networking.conf.distrib
--- 1/rootfs/etc/init/networking.conf.distrib	1970-01-01 01:00:00.000000000 +0100
+++ brainsum1/rootfs/etc/init/networking.conf.distrib	2010-02-20 06:37:23.000000000 +0100
@@ -0,0 +1,13 @@
+# networking - configure virtual network devices
+#
+# This task causes virtual network devices that do not have an associated
+# kernel object to be started on boot.
+
+description	"configure virtual network devices"
+
+start on (local-filesystems
+	  and stopped udevtrigger)
+
+task
+
+exec ifup -a
diff -urN 1/rootfs/etc/init/network-interface.conf.distrib brainsum1/rootfs/etc/init/network-interface.conf.distrib
--- 1/rootfs/etc/init/network-interface.conf.distrib	1970-01-01 01:00:00.000000000 +0100
+++ brainsum1/rootfs/etc/init/network-interface.conf.distrib	2010-07-22 15:02:15.000000000 +0200
@@ -0,0 +1,25 @@
+# network-interface - configure network device
+#
+# This service causes network devices to be brought up or down as a result
+# of hardware being added or removed, including that which isn't ordinarily
+# removable.
+
+description	"configure network device"
+
+start on net-device-added
+stop on net-device-removed INTERFACE=$INTERFACE
+
+instance $INTERFACE
+
+pre-start script
+    if [ "$INTERFACE" = lo ]; then
+	# bring this up even if /etc/network/interfaces is broken
+	ifconfig lo 127.0.0.1 up || true
+	initctl emit -n net-device-up \
+	    IFACE=lo LOGICAL=lo ADDRFAM=inet METHOD=loopback || true
+    fi
+    mkdir -p /var/run/network
+    exec ifup --allow auto $INTERFACE
+end script
+
+post-stop exec ifdown --allow auto $INTERFACE
diff -urN 1/rootfs/etc/init/procps.conf brainsum1/rootfs/etc/init/procps.conf
--- 1/rootfs/etc/init/procps.conf	2009-09-15 23:57:21.000000000 +0200
+++ brainsum1/rootfs/etc/init/procps.conf	1970-01-01 01:00:00.000000000 +0100
@@ -1,13 +0,0 @@
-# procps - set sysctls from /etc/sysctl.conf
-#
-# This task sets kernel sysctl variables from /etc/sysctl.conf and
-# /etc/sysctl.d
-
-description	"set sysctls from /etc/sysctl.conf"
-
-start on virtual-filesystems
-
-task
-script
-    cat /etc/sysctl.d/*.conf /etc/sysctl.conf | sysctl -p -
-end script
diff -urN 1/rootfs/etc/init/procps.conf.distrib brainsum1/rootfs/etc/init/procps.conf.distrib
--- 1/rootfs/etc/init/procps.conf.distrib	1970-01-01 01:00:00.000000000 +0100
+++ brainsum1/rootfs/etc/init/procps.conf.distrib	2009-09-15 23:57:21.000000000 +0200
@@ -0,0 +1,13 @@
+# procps - set sysctls from /etc/sysctl.conf
+#
+# This task sets kernel sysctl variables from /etc/sysctl.conf and
+# /etc/sysctl.d
+
+description	"set sysctls from /etc/sysctl.conf"
+
+start on virtual-filesystems
+
+task
+script
+    cat /etc/sysctl.d/*.conf /etc/sysctl.conf | sysctl -p -
+end script
diff -urN 1/rootfs/etc/init/rc-sysinit.conf brainsum1/rootfs/etc/init/rc-sysinit.conf
--- 1/rootfs/etc/init/rc-sysinit.conf	2009-12-10 18:00:52.000000000 +0100
+++ brainsum1/rootfs/etc/init/rc-sysinit.conf	2010-10-26 16:43:22.911601778 +0200
@@ -6,7 +6,8 @@
 description	"System V initialisation compatibility"
 author		"Scott James Remnant <scott@netsplit.com>"
 
-start on filesystem and net-device-up IFACE=lo
+#start on filesystem and net-device-up IFACE=lo
+start on filesystem
 stop on runlevel
 
 # Default runlevel, this may be overriden on the kernel command-line
diff -urN 1/rootfs/etc/init/rsyslog-kmsg.conf brainsum1/rootfs/etc/init/rsyslog-kmsg.conf
--- 1/rootfs/etc/init/rsyslog-kmsg.conf	2009-11-05 12:36:23.000000000 +0100
+++ brainsum1/rootfs/etc/init/rsyslog-kmsg.conf	1970-01-01 01:00:00.000000000 +0100
@@ -1,25 +0,0 @@
-# rsyslog-kmsg - feed /proc/kmsg into rsyslog
-#
-# This service is used to feed output from /proc/kmsg into rsyslog so
-# it does not need to be privileged.
-
-description	"feed /proc/kmsg into rsyslog"
-
-start on starting rsyslog
-stop on stopped rsyslog
-
-respawn
-
-pre-start script
-    mkdir -p /var/run/rsyslog
-    chown syslog:syslog /var/run/rsyslog
-
-    [ -e /var/run/rsyslog/kmsg ] || mkfifo -m 600 /var/run/rsyslog/kmsg
-    chown syslog:syslog /var/run/rsyslog/kmsg
-end script
-
-exec dd bs=1 if=/proc/kmsg of=/var/run/rsyslog/kmsg
-
-post-stop script
-    rm /var/run/rsyslog/kmsg
-end script
diff -urN 1/rootfs/etc/init/rsyslog-kmsg.conf.distrib brainsum1/rootfs/etc/init/rsyslog-kmsg.conf.distrib
--- 1/rootfs/etc/init/rsyslog-kmsg.conf.distrib	1970-01-01 01:00:00.000000000 +0100
+++ brainsum1/rootfs/etc/init/rsyslog-kmsg.conf.distrib	2009-10-15 06:41:43.000000000 +0200
@@ -0,0 +1,25 @@
+# rsyslog-kmsg - feed /proc/kmsg into rsyslog
+#
+# This service is used to feed output from /proc/kmsg into rsyslog so
+# it does not need to be privileged.
+
+description	"feed /proc/kmsg into rsyslog"
+
+start on starting rsyslog
+stop on stopped rsyslog
+
+respawn
+
+pre-start script
+    mkdir -p /var/run/rsyslog
+    chown syslog:syslog /var/run/rsyslog
+
+    [ -e /var/run/rsyslog/kmsg ] || mkfifo -m 600 /var/run/rsyslog/kmsg
+    chown syslog:syslog /var/run/rsyslog/kmsg
+end script
+
+exec dd bs=1 if=/proc/kmsg of=/var/run/rsyslog/kmsg
+
+post-stop script
+    rm /var/run/rsyslog/kmsg
+end script
diff -urN 1/rootfs/etc/init/tty5.conf brainsum1/rootfs/etc/init/tty5.conf
--- 1/rootfs/etc/init/tty5.conf	2009-10-15 21:19:27.000000000 +0200
+++ brainsum1/rootfs/etc/init/tty5.conf	1970-01-01 01:00:00.000000000 +0100
@@ -1,10 +0,0 @@
-# tty5 - getty
-#
-# This service maintains a getty on tty5 from the point the system is
-# started until it is shut down again.
-
-start on runlevel [23]
-stop on runlevel [!23]
-
-respawn
-exec /sbin/getty -8 38400 tty5
diff -urN 1/rootfs/etc/init/tty5.conf.distrib brainsum1/rootfs/etc/init/tty5.conf.distrib
--- 1/rootfs/etc/init/tty5.conf.distrib	1970-01-01 01:00:00.000000000 +0100
+++ brainsum1/rootfs/etc/init/tty5.conf.distrib	2009-10-15 21:19:27.000000000 +0200
@@ -0,0 +1,10 @@
+# tty5 - getty
+#
+# This service maintains a getty on tty5 from the point the system is
+# started until it is shut down again.
+
+start on runlevel [23]
+stop on runlevel [!23]
+
+respawn
+exec /sbin/getty -8 38400 tty5
diff -urN 1/rootfs/etc/init/tty6.conf brainsum1/rootfs/etc/init/tty6.conf
--- 1/rootfs/etc/init/tty6.conf	2009-10-15 21:19:27.000000000 +0200
+++ brainsum1/rootfs/etc/init/tty6.conf	1970-01-01 01:00:00.000000000 +0100
@@ -1,10 +0,0 @@
-# tty6 - getty
-#
-# This service maintains a getty on tty6 from the point the system is
-# started until it is shut down again.
-
-start on runlevel [23]
-stop on runlevel [!23]
-
-respawn
-exec /sbin/getty -8 38400 tty6
diff -urN 1/rootfs/etc/init/tty6.conf.distrib brainsum1/rootfs/etc/init/tty6.conf.distrib
--- 1/rootfs/etc/init/tty6.conf.distrib	1970-01-01 01:00:00.000000000 +0100
+++ brainsum1/rootfs/etc/init/tty6.conf.distrib	2009-10-15 21:19:27.000000000 +0200
@@ -0,0 +1,10 @@
+# tty6 - getty
+#
+# This service maintains a getty on tty6 from the point the system is
+# started until it is shut down again.
+
+start on runlevel [23]
+stop on runlevel [!23]
+
+respawn
+exec /sbin/getty -8 38400 tty6
diff -urN 1/rootfs/etc/init/upstart-udev-bridge.conf brainsum1/rootfs/etc/init/upstart-udev-bridge.conf
--- 1/rootfs/etc/init/upstart-udev-bridge.conf	2009-10-15 21:19:27.000000000 +0200
+++ brainsum1/rootfs/etc/init/upstart-udev-bridge.conf	1970-01-01 01:00:00.000000000 +0100
@@ -1,14 +0,0 @@
-# upstart-udev-bridge - Bridge udev events into upstart
-#
-# This helper daemon receives udev events from the netlink socket and
-# emits equivalent Upstart events.
-
-description	"Bridge udev events into upstart"
-
-start on starting udev
-stop on stopped udev
-
-expect daemon
-respawn
-
-exec upstart-udev-bridge --daemon
diff -urN 1/rootfs/etc/init/upstart-udev-bridge.conf.distrib brainsum1/rootfs/etc/init/upstart-udev-bridge.conf.distrib
--- 1/rootfs/etc/init/upstart-udev-bridge.conf.distrib	1970-01-01 01:00:00.000000000 +0100
+++ brainsum1/rootfs/etc/init/upstart-udev-bridge.conf.distrib	2009-10-15 21:19:27.000000000 +0200
@@ -0,0 +1,14 @@
+# upstart-udev-bridge - Bridge udev events into upstart
+#
+# This helper daemon receives udev events from the netlink socket and
+# emits equivalent Upstart events.
+
+description	"Bridge udev events into upstart"
+
+start on starting udev
+stop on stopped udev
+
+expect daemon
+respawn
+
+exec upstart-udev-bridge --daemon
